.Grpc:
  only:
    changes:
      - grpc/**/*
      - .gitlab/ci/grpc.yml
      - .gitlab-ci.yml
  variables:
    Name: "grpc"

.Grpc_1.24.3:
  extends: .Grpc
  variables:
    Version: "1.24.3"

Grpc_1.24.3_x86_GCC_LTS_PREV:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_x86_GCC_LTS_PREV

Grpc_1.24.3_x86_GCC_LTS_CURR:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_x86_GCC_LTS_CURR

Grpc_1.24.3_x86_GCC_HEAD_CURR:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_x86_GCC_HEAD_CURR

Grpc_1.24.3_x86_Clang_LTS_PREV:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_x86_Clang_LTS_PREV

Grpc_1.24.3_x86_Clang_LTS_CURR:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_x86_Clang_LTS_CURR

Grpc_1.24.3_x86_Clang_HEAD_CURR:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_x86_Clang_HEAD_CURR

Grpc_1.24.3_ARM_GCC_LTS_PREV:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_ARM_GCC_LTS_PREV

Grpc_1.24.3_ARM_GCC_LTS_CURR:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_ARM_GCC_LTS_CURR

Grpc_1.24.3_ARM_GCC_HEAD_CURR:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_ARM_GCC_HEAD_CURR

Grpc_1.24.3_ARM_Clang_LTS_PREV:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_ARM_Clang_LTS_PREV

Grpc_1.24.3_ARM_Clang_LTS_CURR:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_ARM_Clang_LTS_CURR

Grpc_1.24.3_ARM_Clang_HEAD_CURR:
  extends:
    - .Grpc_1.24.3
    - .ConanBuild_ARM_Clang_HEAD_CURR
